RequestExecutionLevel admin
XPStyle on

Page components

; NOTE: this .NSI script is designed for NSIS v1.98+

SetCompressor lzma
!Define MyApp "Bounce Metronome"
!Define MyAppTitle "Add Free Image for Anti Aliasing Animation Save to ${MyApp}"

Page instfiles
OutFile "bounce_metronome_freeimage_setup.exe"

;Source folder for all the files
!Define SourceFolder "." 

Name "${MyAppTitle}"
; Some default compiler settings (uncomment and change at will):
; SetCompress auto ; (can be off or force)
; SetDatablockOptimize on ; (can be off)
; CRCCheck on ; (can be off)
; AutoCloseWindow false ; (true for the window go away automatically at end)
; SetDateSave off ; (can be on to have files restored to their orginal date)
SetOverwrite ifnewer
;BGGradient 8888FF 000088
InstallDir "$PROGRAMFILES\${MyApp}"
InstallDirRegKey HKEY_CURRENT_USER "SOFTWARE\${MyApp}" "Install_Dir"

;BGGradient
BrandingText " "
Icon akoch_snowflake.ico
; comment this next line out to create a button user can click to show details
; of everything as it is installed. If one clicks the button it slows
; down the install.
; ShowInstDetails nevershow; (can be show to have them shown, hide to hide, or nevershow to disable)
;ShowInstDetails nevershow
;progress bar: blue on black background
InstProgressFlags smooth colored
;Blue foreground,black background in RRGGBB hex format
InstallColors 0000FF 000000
CRCCheck on
SetDatablockOptimize on

ComponentText "Select extras to install"
; check boxes for the components window
;EnabledBitmap checked.bmp
;DisabledBitmap unchecked.bmp
InstType "Install Freeimage DLL"
;InstType /NOCUSTOM
;InstType /COMPONENTSONLYONCUSTOM

Section "" ; (default section)
SetOutPath "$SYSDIR"
File "freeimage\*.*"
SectionEnd ; end of default section


; eof

















































































































































































